package com.bjtdba.merchant.config;

import com.easemob.im.server.EMProperties;
import com.easemob.im.server.EMService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ImConfig {

    @Bean
    public EMService service() {

        EMProperties properties = EMProperties.builder()
                .setAppkey("1154240320150538#cxb-yhc")
                .setClientId("YXA6d1hICoWeQW6hzhQtSxqJ0A")
                .setClientSecret("YXA60XX-QAq1W2Lj2h1xE9WJAx9DzAM")
                .build();

        return new EMService(properties);
    }
}
